Summary:        Cross-platform multimedia library
Name:           SDL2
Version:        2.28.2
Release:        3%{?dist}
License:        zlib and MIT
URL:            http://www.libsdl.org/
Source0:        http://www.libsdl.org/release/%{name}-%{version}.tar.gz

BuildRequires:  cmake make gcc gcc-c++
BuildRequires:  mesa-libGL-devel mesa-libGLU-devel mesa-libEGL-devel mesa-libGLES-devel
BuildRequires:  libXext-devel libX11-devel libXi-devel libXrandr-devel libXrender-devel
BuildRequires:  libXScrnSaver-devel libusb-devel libXinerama-devel libXcursor-devel
BuildRequires:  pkgconfig(libpulse-simple) pkgconfig(libpipewire-0.3)
BuildRequires:  pkgconfig(dbus-1) pkgconfig(ibus-1.0) pkgconfig(libdecor-0)
BuildRequires:  pkgconfig(wayland-client) pkgconfig(wayland-egl) pkgconfig(wayland-cursor)
BuildRequires:  pkgconfig(wayland-protocols) pkgconfig(wayland-scanner)
BuildRequires:  pkgconfig(xkbcommon) mesa-libgbm-devel vulkan-devel libdrm-devel
BuildRequires:  systemd-devel alsa-lib-devel

Requires:       (libdecor-0.so.0()(64bit) if libwayland-client)

%description
Simple DirectMedia Layer is a cross-platform development library designed to
provide low level access to audio, keyboard, mouse, joystick, and graphics
hardware via OpenGL and Direct3D. It is used by video playback software, emulators,
and popular games including Valve's award winning catalog and many Humble Bundle games.


%package devel
Summary:        Files needed to develop Simple DirectMedia Layer applications
Requires:       %{name} = %{version}-%{release}
Requires:       mesa-libEGL-devel
Requires:       mesa-libGLES-devel
Requires:       libX11-devel

%description devel
This package provides development files for %{name}.

%package static
Summary:        Static libraries for SDL2
Requires:       %{name}-devel = %{version}-%{release}

%description static
This package provides static libraries for SDL2.

%prep
%autosetup
sed -i -e 's/\r//g' TODO.txt README.md WhatsNew.txt BUGS.txt LICENSE.txt CREDITS.txt README-SDL.txt

%build
%cmake \
    -DSDL_DLOPEN=ON \
    -DSDL_VIDEO_KMSDRM=ON \
    -DSDL_ARTS=OFF \
    -DSDL_ESD=OFF \
    -DSDL_NAS=OFF \
    -DSDL_PULSEAUDIO_SHARED=ON \
    -DSDL_JACK_SHARED=OFF \
    -DSDL_PIPEWIRE_SHARED=ON \
    -DSDL_ALSA=ON \
    -DSDL_VIDEO_WAYLAND=ON \
    -DSDL_LIBDECOR_SHARED=ON \
    -DSDL_VIDEO_VULKAN=ON \
    -DSDL_SSE3=OFF \
    -DSDL_RPATH=OFF \
    -DSDL_STATIC=ON \
    -DSDL_STATIC_PIC=ON \
%ifarch ppc64le
    -DSDL_ALTIVEC=OFF \
%endif

%cmake_build

%install
%cmake_install



%files
%license LICENSE.txt
%doc BUGS.txt CREDITS.txt README-SDL.txt
%{_libdir}/libSDL2-2.0.so.0*

%files devel
%doc README.md TODO.txt WhatsNew.txt
%{_bindir}/*-config
%{_libdir}/lib*.so
%{_libdir}/libSDL2main.a
%{_libdir}/libSDL2_test.a
%{_libdir}/pkgconfig/sdl2.pc
%dir %{_libdir}/cmake/SDL2
%{_libdir}/cmake/SDL2/sdlfind.cmake
%{_libdir}/cmake/SDL2/SDL2Config*.cmake
%{_libdir}/cmake/SDL2/SDL2Targets*.cmake
%{_libdir}/cmake/SDL2/SDL2mainTargets*.cmake
%{_libdir}/cmake/SDL2/SDL2testTargets.cmake
%{_libdir}/cmake/SDL2/SDL2testTargets-noconfig.cmake
%{_includedir}/SDL2
%{_datadir}/aclocal/*

%files static
%license LICENSE.txt
%{_libdir}/libSDL2.a
%{_libdir}/cmake/SDL2/SDL2staticTargets*.cmake

%changelog
* Mon Dec 25 2023 luffyluo <luffyluo@tencent.com> - 2.28.2-3
- Rebuilt for vulkan-loader 1.3.268.0

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.28.2-2
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 16 2023 cunshunxia <cunshunxia@tencent.com> - 2.28.2-1
- upgrade to 2.28.2

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.26.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.26.0-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Dec 6 2022 cunshunxia <cunshunxia@tencent.com> - 2.26.0-1
- initial build
